

*------------------------------------------------------------------------------*
* DATA PREPARATION
*------------------------------------------------------------------------------*

*-------------------
* Prepare working space
*-------------------
clear	all
set		more off




*------------------------------------------------------------------------------*
* Figure 4.A: New Post-Conflict PGM Target Type
*------------------------------------------------------------------------------*

*-------------------
* Opend dataset 
*-------------------
use 	"Data/cg_pgm_old_target_Figure4.dta"

	
		* Plot
		gen min = 0
		
		#delimit ;
		twoway  rbar min percent target_type if target_type == 1 , col(gs0) barwidth(.5) ||
				rbar min percent target_type if target_type == 2 , col(gs0) barwidth(.5) ||
				rbar min percent target_type if target_type == 3 , col(gs0) barwidth(.5) ||
				rbar min percent target_type if target_type == 4 , col(gs0) barwidth(.5) ||
				rbar min percent target_type if target_type == 5 , col(gs0) barwidth(.5)
				title("Conflict inherited PGMs", size(medlarge) ring(10)) 
				xtitle("", height(5))
				ytitle("Percent of PGMs""", orientation(vertical) height(5))
				yscale(range(0 60))
				xscale(range(1 4))
				ylabel(0(5)60, angle(horizontal) nogrid labsize(small)) ymtick(##10)
				xlabel( 1 "Civilians only"
						2 `""Opposition only" """'
						3 `""Both" "(opposition and civilians)""'
						4 `""Other targets" """'
						5 `""None reported" """'
						, angle(horizontal) nogrid labsize(small)) ymtick(##10)
				text(2.5 1 "(n=15)", color(white) size(*.7))
				text(2.5 2 "(n=34)", color(white) size(*.7))
				text(2.5 3 "(n=14)", color(white) size(*.7))
				text(2.5 4 "(n=5)", color(white) size(*.7))
				text(2.5 5 "(n=44)", color(white) size(*.7))
				legend(off)
				plotregion(lc(black) ls(solid) lw(vthin)) 
				ysize(1) xsize(1.5)  
				graphregion(margin(medium) color(white)) 
				scheme(s2mono)
				saving(warlegacy, replace)
		;
		# delimit cr


		
	
*------------------------------------------------------------------------------*
* Figure 4.B: New Post-Conflict PGM Target Type
*------------------------------------------------------------------------------*


*-------------------
* Opend dataset 
*-------------------
clear
use 	"Data/cg_pgm_new_target_Figure4.dta"
		
				
		* Plot
		gen min = 0
		
		#delimit ;
		twoway  rbar min percent target_type if target_type == 1 , col(gs0) barwidth(.5) ||
				rbar min percent target_type if target_type == 2 , col(gs0) barwidth(.5) ||
				rbar min percent target_type if target_type == 3 , col(gs0) barwidth(.5) ||
				rbar min percent target_type if target_type == 4 , col(gs0) barwidth(.5) ||
				rbar min percent target_type if target_type == 5 , col(gs0) barwidth(.5)
				title("New post-conflict PGMs", size(medlarge) ring(10) linegap(10)) 
				xtitle("", height(5))
				ytitle("""", orientation(vertical))
				yscale(range(0 60))
				xscale(range(1 4))
				ylabel(0(5)60, angle(horizontal) nogrid labsize(small)) ymtick(##10)
				xlabel( 1 "Civilians only"
						2 `""Opposition only" """'
						3 `""Both" "(opposition and civilians)""'
						4 `""Other" """'
						5 `""None reported" """'
						, angle(horizontal) nogrid labsize(small)) ymtick(##10)
				text(2.5 1 "(n=4)", color(white) size(*.7))
				text(2.5 2 "(n=37)", color(white) size(*.7))
				text(2.5 3 "(n=14)", color(white) size(*.7))
				text(2.5 4 "(n=3)", color(white) size(*.7))
				text(2.5 5 "(n=7)", color(white) size(*.7))
				legend(off)
				plotregion(lc(black) ls(solid) lw(vthin)) 
				ysize(1) xsize(1.5)  
				graphregion(margin(medium) color(white)) 
				scheme(s2mono)
				saving(new, replace)

		;
		# delimit cr



		
		
		
*------------------------------------------------------------------------------*		
* Graph combine
*------------------------------------------------------------------------------*

# delimit ;
gr combine warlegacy.gph new.gph , 
	cols(3)
	title("", 
	       ring(1) position(9) orientation(vertical) size(small) linegap(2)
		   margin(r=2))
	ysize(1) xsize(2)
	plotregion(margin(small) lc(black) ls(solid) lw(vthin) col(white)) 
	graphregion(col(white) lcolor(white) lalign(outside))
	scheme(s2mono)
	imargin(0 8 0 0)
;
#delimit cr

graph export "Figures/cg_pgm_targets_Figure4.pdf", as(pdf) replace

graph drop _all
erase warlegacy.gph
erase new.gph

*-------------------------------------------------------------------------------
* End of do file
*-------------------------------------------------------------------------------
